Follow

Workloud System Requirements

Workloud System Requirements

Workloud is a web-based SaaS (software as a service) application that runs in a web browser.

Tip: Consider using Google Chrome, our testing and customer feedback shows it provides the best performance when running Workloud.

 

Supported browsers for Workloud:

  • Google Chrome: latest two versions
  • Mozilla Firefox: latest two versions
  • Apple Safari: latest two versions
  • Microsoft Internet Explorer: latest version only

    *Microsoft Edge is not supported, but reportedly works well for customers.

Browser configuration:
  • JavaScript must be enabled
  • Cookies must be enabled
  • localStorage must be enabled
  • TLS v1.0 or above

For Employee Self Service mobile:

  • iPhone: iOS 9.0 and higher
  • Android: Android 4.0 and higher

For Supervisor Self Service & Time Clock application:

  • 7" screen or larger
  • Android: Android 4.0 and higher
Note: Viewing the application through a mobile browser is not supported. Instead, you need to use one of our mobile apps.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk